﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2004: (1 year) VER IEEE /9500+5Hd
DATE:                  2010-08-10 11:24:56
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       242
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
CONFIGURATION:         Datron 9510 on channel 5
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
# 
#  Models covered:
#        TDS 2004
# 
#  Source(s):
#        TDS1000 and TDS2000 Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1076-02
# 
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS1000/2000 Specifications
#        Sub Tek TDS1000/2000 Setup IEEE
#        Sub Tek TDS1000/2000 Self-Test IEEE
#        Sub Tek TDS1000/2000 Sig Path Comp Cal IEEE
#        Sub Tek TDS1000/2000 Select Channel IEEE
#        Sub Tek TDS1000/2000 Trigger Chk and Level Adj IEEE
#        Sub Tek TDS1000/2000 (1 yr) DCV Meas IEEE /9500
#        Sub Tek TDS1000/2000 (1 yr) Bandwidth IEEE /9500
#        Sub Tek TDS1000/2000 (1 yr) Trig Sens IEEE /9500
#        Sub Tek TDS1000/2000 (1 yr) Sample Rate IEEE /9500
#        Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+1Hd
#        Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+2Hd
#        Sub Datron 9500 Configuration Query IEEE
#        Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500"
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  18 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1Vpp           LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1Vpp           LS    S  L
  1.010  M9500                       CH5
  1.011  9500         500MH                        1Vpp           LS    S  L
  1.012  ENDIF

  1.013  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.014  ASK+           K

  1.015  IF           NOT(VERSIONCHECK("7.20Z"))
  1.016  END
  1.017  ENDIF

  1.018  CALL         Sub Display Copyright
  1.019  CALL         Sub High Voltage Safety Warning

  1.020  HEAD         PRELIMINARY INSTRUCTIONS
  1.021  CALL         Sub Select Failed Test Mode
  1.022  CALL         Sub Select Verification Method (No NTHROW)

  1.023  DISP         Ensure a minimum UUT warm-up time of at least
  1.023  DISP         10 minutes has been allowed to elapse, prior
  1.023  DISP         to beginning verification.

  1.024  HEAD         COMMUNICATION SETUP
  1.025  TARGET
  1.026  CALL         Sub Tek TDS1000/2000 Setup IEEE
  1.027  JMPL         END                          @Abort
  1.028  IEEE2        *RST

  1.029  HEAD         UUT IDENTIFICATION
  1.030  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.031  MATH         @UUT_Model = "TDS 2004"
  1.032  MATH         @UUT_Manufacturer = "Tektronix"
  1.033  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.034  JMPL         END                          @Abort

  1.035  CALL         Sub Tek TDS1000/2000 Specifications

  1.036  MATH         @NumHeads = 5
  1.037  CALL         Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500
  1.038  JMPL         END                          @Abort

  1.039  CALL         Sub Tek TDS1000/2000 Self-Test IEEE
  1.040  JMPL         END                          @Abort
  1.041  CALL         Sub Tek TDS1000/2000 Sig Path Comp Cal IEEE
  1.042  JMPL         END                          @Abort

  1.043  MATH         @Chan = 1
  1.044  M9500                       CH1
  1.045  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS IEEE /9500

  1.046  MATH         @Chan = 2
  1.047  M9500                       CH2
  1.048  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS IEEE /9500

  1.049  MATH         @Chan = 3
  1.050  M9500                       CH3
  1.051  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS IEEE /9500

  1.052  MATH         @Chan = 4
  1.053  M9500                       CH4
  1.054  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS IEEE /9500

  1.055  MATH         @Chan = 1
  1.056  M9500                       CH1
  1.057  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH IEEE /9500

  1.058  MATH         @Chan = 2
  1.059  M9500                       CH2
  1.060  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH IEEE /9500

  1.061  MATH         @Chan = 3
  1.062  M9500                       CH3
  1.063  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH IEEE /9500

  1.064  MATH         @Chan = 4
  1.065  M9500                       CH4
  1.066  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH IEEE /9500

  1.067  MATH         @Chan = 1
  1.068  M9500                       CH1
  1.069  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS IEEE /9500

  1.070  MATH         @Chan = 2
  1.071  M9500                       CH2
  1.072  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS IEEE /9500

  1.073  MATH         @Chan = 3
  1.074  M9500                       CH3
  1.075  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS IEEE /9500

  1.076  MATH         @Chan = 4
  1.077  M9500                       CH4
  1.078  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS IEEE /9500

  1.079  IF           @UsingPowerSplitter
  1.080  MATH         @Chan = 1
  1.081  M9500                       CH1
  1.082  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+1Hd

  1.083  MATH         @Chan = 2
  1.084  M9500                       CH1
  1.085  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+1Hd

  1.086  MATH         @Chan = 3
  1.087  M9500                       CH1
  1.088  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+1Hd

  1.089  MATH         @Chan = 4
  1.090  M9500                       CH1
  1.091  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+1Hd

  1.092  ELSE
  1.093  MATH         @Chan = 1
  1.094  M9500                       CH15
  1.095  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+2Hd

  1.096  MATH         @Chan = 2
  1.097  M9500                       CH25
  1.098  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+2Hd

  1.099  MATH         @Chan = 3
  1.100  M9500                       CH35
  1.101  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+2Hd

  1.102  MATH         @Chan = 4
  1.103  M9500                       CH45
  1.104  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+2Hd
  1.105  ENDIF

  1.106  MATH         @Chan = 1
  1.107  M9500                       CH1
  1.108  CALL         Sub Tek TDS1000/2000 (1 yr) Sample Rate IEEE /9500

  1.109  LABEL        END

  1.110  IF           @Abort
  1.111  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.112  ELSE
  1.113  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.114  ENDIF

  1.115  IEEE2        *RST
  1.116  END
